/*

Radio Babboleo Widget v1.3

Copyright (C) 2006, Andrea Carolfi - All rights reserved.
Code: Andrea Carolfi - http://hurricane-studios.no-ip.com
Graphics: Sauro Spagnol - http://www.zlog.it

1.3 - 18/02/06 - Disabled autoplay feature.
1.2 - 05/01/06 - Added hiding of the player in order not to stop the music
                 when the info panel is shown.
1.1 - 02/01/06 - Added flip ability with about information.
1.0 - 01/01/06 - First release.

*/

/*********************************/
// HIDING AND SHOWING PREFERENCES
/*********************************/


// Global variables for the info and done buttons; keeping these around lets us modify them later
var glassDoneButton;
var blackInfoButton;

// setup() is the onload handler for the widget. It calls constructors for the AppleInfoButton
// and AppleGlassButton classes that populate existing divs with their respective controls

function setup()
{
	glassDoneButton = new AppleGlassButton(document.getElementById("doneButton"), "Done", hidePrefs);
	blackInfoButton = new AppleInfoButton(document.getElementById("infoButton"), document.getElementById("front"), "black", "black", showPrefs);
}

// showPrefs() is called when the preferences flipper is clicked upon.  It freezes the front of the widget,
// hides the front div, unhides the back div, and then flips the widget over.

function showPrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	var player = document.getElementById("player");
	
	if (window.widget)
		widget.prepareForTransition("ToBack");		// freezes the widget so that you can change it without the user noticing
	
	front.style.display="none";		// hide the front
	back.style.display="block";		// show the back
	player.style.visibility="hidden";// hide the player
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget over	

}


// hidePrefs() is called by the done button on the back side of the widget.  It performs the opposite transition
// as showPrefs() does.

function hidePrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	var player = document.getElementById("player");
	
	if (window.widget)
		widget.prepareForTransition("ToFront");		// freezes the widget and prepares it for the flip back to the front
	
	back.style.display="none";			// hide the back
	front.style.display="block";		// show the front
	player.style.visibility="show";		// show the player
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget back to the front
}

// open Safari and go to the url given
function openUrl(url)
{
	if (window.widget)
	{
		widget.openURL(url);
	}
}